# Draw
TKDraw
DBRep

# DBRep_Face Class Reference

`#include <DBRep_Face.hxx>`

## Public Member Functions

Standard_EXPORT | DBRep_Face (const TopoDS_Face &F, const Standard_Integer N, const Draw_Color &C)
| N is the number of iso intervals. .
const TopoDS_Face & | Face () const
void | Face (const TopoDS_Face &F)
Standard_Integer | NbIsos () const
void | Iso (const Standard_Integer I, const GeomAbs_IsoType T, const Standard_Real Par, const Standard_Real T1, const Standard_Real T2)
void | GetIso (const Standard_Integer I, GeomAbs_IsoType &T, Standard_Real &Par, Standard_Real &T1, Standard_Real &T2) const
const Draw_Color & | Color () const
void | Color (const Draw_Color &C)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Face | myFace
Draw_Color | myColor
TColStd_Array1OfInteger | myTypes
TColStd_Array1OfReal | myParams

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_Face::DBRep_Face | ( | const TopoDS_Face & | F,
|  | const Standard_Integer | N,
|  | const Draw_Color & | C
| ) |

## Member Function Documentation

void DBRep_Face::Color | ( | const Draw_Color & | C | ) | `[inline]`

const Draw_Color & DBRep_Face::Color | ( |  | ) | const`[inline]`

void DBRep_Face::Face | ( | const TopoDS_Face & | F | ) | `[inline]`

const TopoDS_Face & DBRep_Face::Face | ( |  | ) | const`[inline]`

void DBRep_Face::GetIso | ( | const Standard_Integer | I,
|  | GeomAbs_IsoType & | T,
|  | Standard_Real & | Par,
|  | Standard_Real & | T1,
|  | Standard_Real & | T2
| ) | const`[inline]`

Standard_EXPORT const DBRep_Face::Handle | ( | Standard_Type |  | ) | const

void DBRep_Face::Iso | ( | const Standard_Integer | I,
|  | const GeomAbs_IsoType | T,
|  | const Standard_Real | Par,
|  | const Standard_Real | T1,
|  | const Standard_Real | T2
| ) | `[inline]`

Standard_Integer DBRep_Face::NbIsos | ( |  | ) | const`[inline]`

## Field Documentation

Draw_Color DBRep_Face::myColor `[private]`

TopoDS_Face DBRep_Face::myFace `[private]`

TColStd_Array1OfReal DBRep_Face::myParams `[private]`

TColStd_Array1OfInteger DBRep_Face::myTypes `[private]`

The documentation for this class was generated from the following files:

- DBRep_Face.hxx
- DBRep_Face.lxx